<?php

/**
 * Male International Airport Flight information demo
 * http://jaa.technova.com.mv/
*/

require_once( 'flightinfo.php' );

// create new flightinfo object
$f = new flightinfo();

// get arrivals
$f->getInfo( 'arrivals' );

// sort by estimated arrival time
$f->sortBy( 'estimated' );

echo '<font face="arial" size="2">';
echo '<h3>Arrivals</h3>';

// output updated time of listing
echo '<i>Updated time: ' . date( 'r', $f->updatedtime ) . "</i><br />\r\n";

// output day for listing
echo '<i>Day: ' . date( 'r', $f->day ) . "</i><br /><br />\r\n";

foreach ( $f->flights as $flight )
{
	echo "<hr />\r\n";
	echo 'Airline Name: ' . $flight[ 'airlinename' ] . "<br />\r\n";
	echo 'Airline ID: ' . $flight[ 'airlineid' ] . "<br />\r\n";
	echo 'Flight ID: ' . $flight[ 'flightid' ] . "<br />\r\n";
	echo 'Route: ' . join( ' > ', $flight[ 'route' ] ) . "<br />\r\n";
	echo 'Scheduled Time: ' . $flight[ 'scheduled' ] . "<br />\r\n";
	echo 'Estimated Time: ' . $flight[ 'estimated' ] . "<br />\r\n";
	echo 'Status: ' . $flight[ 'status' ] . "<br />\r\n";
}

echo '</font>';
?>